Package com.sap.ai.sdk.foundationmodels.openai.model

# Enum Class OpenAiChatMessage.OpenAiChatUserMessage.ImageDetailLevel

java.lang.Object
java.lang.Enum<OpenAiChatMessage.OpenAiChatUserMessage.ImageDetailLevel>
com.sap.ai.sdk.foundationmodels.openai.model.OpenAiChatMessage.OpenAiChatUserMessage.ImageDetailLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<OpenAiChatMessage.OpenAiChatUserMessage.ImageDetailLevel>`, `Constable`

Enclosing class:
  `OpenAiChatMessage.OpenAiChatUserMessage`

public static enum OpenAiChatMessage.OpenAiChatUserMessage.ImageDetailLevel extends Enum<OpenAiChatMessage.OpenAiChatUserMessage.ImageDetailLevel>
Specifies the detail level of the image.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO`
  The image detail level is auto.
  `HIGH`
  The image detail level is high.
  `LOW`
  The image detail level is low.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OpenAiChatMessage.OpenAiChatUserMessage.ImageDetailLevel`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OpenAiChatMessage.OpenAiChatUserMessage.ImageDetailLevel[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AUTO

    public static final OpenAiChatMessage.OpenAiChatUserMessage.ImageDetailLevel AUTO
    The image detail level is auto.

  - ### LOW

    public static final OpenAiChatMessage.OpenAiChatUserMessage.ImageDetailLevel LOW
    The image detail level is low.

  - ### HIGH

    public static final OpenAiChatMessage.OpenAiChatUserMessage.ImageDetailLevel HIGH
    The image detail level is high.

- ## Method Details

  - ### values

    public static OpenAiChatMessage.OpenAiChatUserMessage.ImageDetailLevel[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OpenAiChatMessage.OpenAiChatUserMessage.ImageDetailLevel valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null